package com.persagy.dmp.rwd.simple.dao;

import java.util.List;
import java.util.Map;

/**
 * 数字孪生 设备统计相关接口 DAO
 * @author Charlie Yu
 * @date 2021-08-04
 */
public interface EquipmentReportMapper {

    /**
     * 统计项目设备总数和待报废设备数量
     * @param scrapDate 报废日期
     * @param projectIds 项目ID
     * @return
     */
    List<Map<String, Object>> queryExpectScrapCountByProjects(String scrapDate, List<String> projectIds);
}
